List comment jobs of a post
curl --request GET \
--url https://monitor.solobiz.academy/api/open/v1/posts/{id}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://monitor.solobiz.academy/api/open/v1/posts/{id}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://monitor.solobiz.academy/api/open/v1/posts/{id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "Operation successful",
"data": [
{
"comment_job_id": "<string>",
"post_id": "<string>",
"channel_id": "<string>",
"platform": "facebook",
"seq": 123,
"message": "<string>",
"image_url": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"status": "pending",
"platform_comment_id": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"error": {
"kind": "<string>",
"code": "<string>",
"subcode": "<string>",
"message": "<string>"
}
}
],
"timestamp": "2023-11-07T05:31:56Z",
"meta": {}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "Insufficient workspace role",
"code": "ForbiddenException"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}Comments
List comment jobs of a post
Every comment job of the post, from comment_seedings and from POST /comments. Job status: pending, sending, sent, failed, unverified (never re-sent).
Required role: viewer.
GET
/
posts
/
{id}
/
comments
List comment jobs of a post
curl --request GET \
--url https://monitor.solobiz.academy/api/open/v1/posts/{id}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://monitor.solobiz.academy/api/open/v1/posts/{id}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://monitor.solobiz.academy/api/open/v1/posts/{id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "Operation successful",
"data": [
{
"comment_job_id": "<string>",
"post_id": "<string>",
"channel_id": "<string>",
"platform": "facebook",
"seq": 123,
"message": "<string>",
"image_url": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"status": "pending",
"platform_comment_id": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"error": {
"kind": "<string>",
"code": "<string>",
"subcode": "<string>",
"message": "<string>"
}
}
],
"timestamp": "2023-11-07T05:31:56Z",
"meta": {}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "Insufficient workspace role",
"code": "ForbiddenException"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}
